Bug 222921 - On Greyhound CPUs, the 2.4.21-40.EL #1 SMP kernel appears to drive the 100HZ timer interrupts with NMIs
On Greyhound CPUs, the 2.4.21-40.EL #1 SMP kernel appears to drive the 100HZ ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.7
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 16:22 EST by Jim Mattson
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Mattson 2007-01-16 16:22:17 EST
Description of problem:
On AMD Greyhound (aka K8L) CPUs, timer interrupts are driven with NMIs,
resulting in degraded performance.

Version-Release number of selected component (if applicable): 2.4.21-40.EL #1 SMP


How reproducible: 100%


Steps to Reproduce:
1. Boot RHEL3 Update 7 on a Greyhound CPU, using the stock SMP kernel
2. Observe total NMI interrupts with 'cat /proc/cpuinfo'
  
Actual results:

NMIs are delivered at 100HZ.

Expected results:

NMIs should occur only infrequently.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:39:10 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.